Subject: Re: [PATCH -rt DO NOT APPLY] Fix for tg3 networking lockup

From: Arjan van de Ven <[email-masked]>
Date: Thu, 03 Aug 2006 17:25:29 -0700

Theodore Tso wrote:
> Removing the timer-based "ping" might be a good thing to do from the
> point of view of reducing power utilization of laptops (but hey, I
> don't have a tg3 in my laptop, so I won't worry about it a whole lot :-), 
> but I agree that in general the RT patches need to be able to
> call functions such as tg3_timer() reliably even when under a high
> real-time process workload, without needing to use the blunt hammer of
> "chrt -f 95 `pidof softirq-timer`".  (Since not all timer callbacks
> need to be run at rt prio 95.)
> 

I suppose the timer subsystem needs a "I'd like to have this timer called at time X, but it's ok to call it
later until time X+Y" option; that's useful for RT like stuff but also for power savings...
(eg you can batch timer firings that way a lot better)